FSYNC(1)

NAME
fsync - synchronize a file's in-core state with that on disk

SYNOPSIS
fsync file ...

DESCRIPTION
The fsync utility causes all the modified data and meta-data of all the files named on the command line to be written to a permanent storage device.

The fsync utility uses the fsync(2) function call.

EXIT STATUS
If an error occurs, the fsync utility proceeds to the next file, and exits >0. Otherwise, it exits 0.

SEE ALSO
fsync(2), sync(2), syncer(4), halt(8), reboot(8)

HISTORY
The fsync command first appeared in FreeBSD 4.3.